
package poo.util;

/**
 *
 * @author Emerson Ribeiro de Mello
 */
public class Pacote {
   // dispositivo que criou este pacote
   private int origem;
   // dispositivo destino do pacote
   private int destino;
   // indica qual foi o ultimo dispositivo que encaminhou este pacote
   // Dica: esta propriedade por ser utilizada para evitar loops no encaminhamento
   // de pacotes em Switchs e Hubs
   private int encaminhadoPor;

   public Pacote(int ori, int des) {
      this.origem = ori;
      this.destino = des;
      // -1 indica que este pacote nao foi encaminhado por nenhum dispositivo
      this.encaminhadoPor = -1;
   }

   public int obtemDestino() {
      return destino;
   }

   public int obtemOrigem() {
      return origem;
   }

   public int obtemEncaminhadoPor() {
      return encaminhadoPor;
   }

   public void defineEncaminhadoPor(int por) {
      this.encaminhadoPor = por;
   }

}
